
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  font-family: "Roboto", sans-serif;
  background: linear-gradient(135deg, #8A51FC);
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #333;
}

/* 
   VARIABLES (DESIGN SYSTEM)
*/
:root {
  --primary-color: #6a5cff;
  --primary-hover: #5948e5;
  --background-card: #ffffff;
  --border-color: #dddddd;
  --text-light: #666666;
  --text-dark: #000000;
  --radius-sm: 8px;
  --radius-md: 15px;
  --radius-lg: 20px;
  --shadow: 0 15px 40px rgba(0, 0, 0, 0.15);
}


.logo {
  width: 180px;
  margin: 30px 0;
}


main {
  width: 100%;
  max-width: 380px;
  background: var(--background-card);
  padding: 25px;
  border-radius: var(--radius-lg);
  box-shadow: var(--shadow);
}


label {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-bottom: 18px;
  font-size: 14px;
  color: var(--text-light);
}

select,
input {
  height: 45px;
  padding: 0 12px;
  border-radius: var(--radius-sm);
  border: 1px solid var(--border-color);
  font-size: 16px;
  outline: none;
}

select:focus,
input:focus {
  border-color: var(--primary-color);
}


button {
  width: 100%;
  height: 48px;
  margin-top: 10px;
  background: var(--primary-color);
  color: #ffffff;
  border: none;
  border-radius: var(--radius-sm);
  font-size: 16px;
  font-weight: 500;
  cursor: pointer;
  transition: background 0.3s ease, transform 0.2s ease;
}

button:hover {
  background: var(--primary-hover);
  transform: translateY(-2px);
}


section {
  margin-top: 25px;
  padding: 20px;
  border: 1px solid var(--border-color);
  border-radius: var(--radius-md);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}


.currency-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
}

.currency-box img {
  width: 48px;
}

.currency {
  font-size: 14px;
  color: var(--text-light);
}

.currency-value-to-convert,
.currency-value {
  font-size: 20px;
  font-weight: 700;
  color: var(--text-dark);
}


.arrow-img {
  width: 30px;
}


@media (max-width: 420px) {
  main {
    margin: 0 15px;
  }
}